FROM openshift3/ose-base:v3.11.542.20211018.203507
ENV __doozer=update BUILD_RELEASE=1.git.bb85bd3 BUILD_VERSION=v3.11.542 OS_GIT_MAJOR=3 OS_GIT_MINOR=11 OS_GIT_PATCH=542 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=3.11.542-1.git.bb85bd3 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=bb85bd3 OS_GIT_VERSION=3.11.542-1.git.bb85bd3-bb85bd3 SOURCE_DATE_EPOCH=1544287836 SOURCE_GIT_COMMIT=bb85bd3e19b1fb6d7e33babe380ae0fbd3352a6c SOURCE_GIT_TAG=v0.2.2-15-gbb85bd3 SOURCE_GIT_URL=https://github.com/openshift/configmap-reload 

ENV GOPATH /go
RUN mkdir -p $GOPATH/bin

COPY . $GOPATH/src/github.com/jimmidyson/configmap-reload

RUN yum install -y golang make git && \
   cd $GOPATH/src/github.com/jimmidyson/configmap-reload && \
   PATH=$PATH:$GOPATH/bin make out/configmap-reload GOPATH=$GOPATH && cp $GOPATH/src/github.com/jimmidyson/configmap-reload/out/configmap-reload /usr/bin/configmap-reload && \
   yum autoremove -y golang make git && yum clean all


# doesn't require a root user.
USER 1001

ENTRYPOINT ["/usr/bin/configmap-reload"]

LABEL \
        io.k8s.display-name="configmap reload" \
        io.k8s.description="This is a component reloads another process if a configured configmap volume is remounted." \
        io.openshift.tags="kubernetes" \
        maintainer="Frederic Branczyk <fbranczy@redhat.com>" \
        License="ASL 2.0" \
        vendor="Red Hat" \
        name="openshift3/ose-configmap-reloader" \
        com.redhat.component="configmap-reload-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="1.git.bb85bd3" \
        io.openshift.build.commit.id="bb85bd3e19b1fb6d7e33babe380ae0fbd3352a6c" \
        io.openshift.build.source-location="https://github.com/openshift/configmap-reload" \
        io.openshift.build.commit.url="https://github.com/openshift/configmap-reload/commit/bb85bd3e19b1fb6d7e33babe380ae0fbd3352a6c" \
        version="v3.11.542"

